SuperLU: SRC/ilu_ddrop_row.c File Reference

# SRC/ilu_ddrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_ddefs.h"`

## Functions
void | dswap_ (int *, double[], int *, double[], int *)
void | daxpy_ (int *, double *, double[], int *, double[], int *)
void | dcopy_ (int *, double[], int *, double[], int *)
double | dasum_ (int *, double *, int *)
double | dnrm2_ (int *, double *, int *)
double | dnrm2_ (int *, double[], int *)
int | idamax_ (int *, double[], int *)
static int | _compare_ (const void *a, const void *b)
int | ilu_ddrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, double dwork[], double dwork2[], int lastc)
## Variables
static double * | A

## Detailed Description

     -- SuperLU routine (version 4.1) --
     Lawrence Berkeley National Laboratory.
     June 30, 2009

## Function Documentation

static int _compare_ | ( | const void * | a,
|  | const void * | b |
| ) |  |  | `[static]`

double dasum_ | ( | int * | ,
|  | double * | ,
|  | int * |  |
| ) |  |  |

void daxpy_ | ( | int * | ,
|  | double * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

void dcopy_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

double dnrm2_ | ( | int * | ,
|  | double * | ,
|  | int * |  |
| ) |  |  |

void dswap_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

int idamax_ | ( | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

int ilu_ddrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | double | dwork[],
|  | double | dwork2[],
|  | int | lastc |
| ) |  |  |

     Purpose
     =======
        ilu_ddrop_row() - Drop some small rows from the previous
        supernode (L-part only).

## Variable Documentation

double* A`[static]`